ORA-00904: "ENCRYPTION"."GET_SUPERUSER_NAME": Invalid identifier

(Doc ID 2391946.1)

Last updated on APRIL 28, 2018

Applies to:

Oracle Demantra Demand Management - Version 12.2.2 to 12.2.7 [Release 12.2]
Information in this document applies to any platform.

Symptoms

When installing the Demantra upgrade from 12.2.2 to higher version , installation fails with 


"The following select statement has failed to execute: SELECT encryption.get_superuser_id, encryption.get_superuser_name() FROM dual
java.sql.SQLSyntaxErrorException: ORA-00904: "ENCRYPTION"."GET_SUPERUSER_NAME": Invalid identifier"
An error occurs.

Checking the encryption package source in the DB, the function get_superuser_id, get_superuser_name does not exist.

Changes

Upgrade from 12.2.2 to higher version of demantra 

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms